=== debian/changelog ===
libcvd (0.0~git20220106103934.34d8e26+ds1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Feb 2022 16:38:25 +0100

libcvd (0.0~git20220106103934.34d8e26+ds1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Filter out iOS-only, unclearly licensed files from source package.

 -- Roland Mas <lolando@debian.org>  Thu, 10 Feb 2022 14:09:07 +0100

libcvd (0.0~git20211206190858.cbb6797-6) unstable; urgency=medium

  * More updates to debian/copyright.

 -- Roland Mas <lolando@debian.org>  Wed, 05 Jan 2022 18:05:17 +0100

libcvd (0.0~git20211206190858.cbb6797-5) unstable; urgency=medium

  * Update debian/copyright for cvd/documentation.h and cvd_src/videofilebuffer2.cc.

 -- Roland Mas <lolando@debian.org>  Mon, 03 Jan 2022 19:24:35 +0100

libcvd (0.0~git20211206190858.cbb6797-4) unstable; urgency=medium

  * Ship config.h in packages.

 -- Roland Mas <lolando@debian.org>  Thu, 30 Dec 2021 12:33:42 +0100

libcvd (0.0~git20211206190858.cbb6797-3) unstable; urgency=medium

  * Update Maintainer/Uploaders.

 -- Roland Mas <lolando@debian.org>  Wed, 29 Dec 2021 19:10:02 +0100

libcvd (0.0~git20211206190858.cbb6797-2) unstable; urgency=medium

  * Prefix binaries with cvd_ to avoid generic names (thanks, Guillem Jover!).

 -- Roland Mas <lolando@debian.org>  Wed, 29 Dec 2021 17:02:34 +0100

libcvd (0.0~git20211206190858.cbb6797-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Dec 2021 23:36:35 +0100
