## libcvd 0.0~git20220720095123.2198902+ds1

=== debian/changelog ===
libcvd (0.0~git20220720095123.2198902+ds1-0ubuntu1) kinetic; urgency=medium

  * New upstream git snapshot.
    - Fixes build failure with ffmpeg 5.0.  Closes: #1013516.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jul 2022 23:07:13 +0000

libcvd (0.0~git20220106103934.34d8e26+ds1-2build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:56:17 +0000
