## libcvd 0.0~git20221020150751.30e8cfc+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 option(CVD_ENABLE_TESTS "Build libCVD tests" ON)
 option(CVD_ENABLE_PROGS "Build libCVD programs" ON)
 option(CVD_ENABLE_EXAMPLES "Build libCVD examples" ON)
+option(CVD_ENABLE_OPENCV_TESTS "Build libCVD tests that rely on OpenCV" OFF)
 
 include(TestBigEndian)
 include(CheckSymbolExists)
@@ -27,7 +28,6 @@
 
 set(SRCS
 	cvd_src/bayer.cxx
-	cvd_src/colourspace_convert.cxx
 	cvd_src/connected_components.cc
 	cvd_src/convolution.cc
 	cvd_src/cvd_timer.cc
@@ -112,7 +112,6 @@
 	cvd/helpers.h
 	cvd/image.h
 	cvd/image_convert.h
-	cvd/image_convert_fwd.h
 	cvd/image_io.h
 	cvd/image_ref.h
 	cvd/integral_image.h
@@ -238,8 +237,21 @@
 if(CVD_FFMPEG_FOUND)
 	set(CVD_HAVE_FFMPEG ON)
 	list(APPEND SRCS
+		cvd_src/slice.h
+		cvd_src/videoffmpeg.cc
+		cvd_src/videoreader.cc
+		cvd_src/videoreaderfilebuffer.cc
+		cvd_src/videoscaler.cc
+		cvd_src/videowriter.cc
 		cvd_src/videofilebuffer2.cc
 		cvd_src/videosource_videofilebuffer.cc)
+	list(APPEND HEADERS
+		cvd/videoffmpeg.h
+		cvd/videoreader.h
+		cvd/videoreaderfilebuffer.h
+		cvd/videoscaler.h
+		cvd/videowriter.h
+	)
 else()
 	set(CVD_HAVE_FFMPEG OFF)
 	list(APPEND SRCS
@@ -303,7 +315,9 @@
 target_include_directories(${PROJECT_NAME} PUBLIC "${PROJECT_SOURCE_DIR}" "${CMAKE_CURRENT_BINARY_DIR}/include" ${CVD_DEP_INCLUDES_PUBLIC} PRIVATE ${CVD_DEP_INCLUDES_PRIVATE})
 target_link_libraries(${PROJECT_NAME} PRIVATE ${CVD_DEP_LIBS})
 
-
+if(APPLE)
+	target_compile_definitions(${PROJECT_NAME} PRIVATE GL_SILENCE_DEPRECATION)
+endif()
 if(WIN32)
 	target_compile_definitions(${PROJECT_NAME} PRIVATE _CRT_SECURE_NO_WARNINGS)
 endif()
