=== debian/changelog ===
libcvd (0.0~git20221020150751.30e8cfc+ds1-1build5) noble; urgency=medium

  * No-change rebuild against libpng16-16t64 (on riscv64).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 00:53:56 +0100

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:19:49 +1100

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:03:03 +0000

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:53:30 +0200

libcvd (0.0~git20221020150751.30e8cfc+ds1-1build1) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:27:50 -0500

libcvd (0.0~git20221020150751.30e8cfc+ds1-1) unstable; urgency=medium

  * New upstream snapshot fixing FTBFS.
  * Bug fix: "FTBFS: cvd_src/videofilebuffer2.cc:272:33: error:
    ‘av_register_all’ was not declared in this scope", thanks to Lucas
    Nussbaum (Closes: #1013516).

 -- Roland Mas <lolando@debian.org>  Fri, 11 Nov 2022 15:23:58 +0100
