=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libcvd
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Roland Mas <lolando@debian.org>
 Build-Depends: debhelper-compat (= 13), libtoon-dev,
  libjpeg-dev, libpng-dev, libtiff-dev, liblapack-dev, libv4l-dev,
